Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: apt-get werkt niet meer  (gelezen 8754 keer)

Sil

  • Gast
apt-get werkt niet meer
« Gepost op: 2007/10/16, 23:47:32 »
Hoi allemaal,

Ik heb Ubuntu server 7 draaien. Sinds de installatie van Ubuntu heb ik ssh, vsftpd en no-ip geinstaleerd. Dit werkt allemaal prima.

Gisteren wou ik screen installeren volgens de normale apt-get manier. (sudo apt-get install screen)

Ik kreeg hierbij de volgende melding:

apt-get: /lib/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6)
apt-get: /lib/libgcc_s.so.1: version `GCC_3.3' not found (required by /usr/lib/libstdc++.so.6)

Andere apt-get commando's zoals apt-get update werken ook niet meer. Het lijkt er op dat apt-get het helemaal niet meer doet :-(

Ik heb al behoorlijk wat dingen gevonden op het internet maar ik kom er maar niet uit. Ik heb nog niet zo veel ervaring met linux.

Kan iemand mij a.j.b. helpen??

Vriendelijke groeten,

Sil

Offline raggar

  • Lid
    • fietsen naar Tibet
  • Steunpunt: Ja
apt-get werkt niet meer
« Reactie #1 Gepost op: 2007/10/17, 00:13:55 »
Kijk hier eens en probeer eens of dat werkt: http://forum.ubuntu-nl.org/topic/14821

Offline thierrz

  • Lid
  • Steunpunt: Nee
apt-get werkt niet meer
« Reactie #2 Gepost op: 2007/10/17, 11:27:12 »
Installeer ubuntu opnieuw maak eventueel back up van je documenten..

(Alleen als je er niet uiitkomt)

Sil

  • Gast
apt-get werkt niet meer
« Reactie #3 Gepost op: 2007/11/07, 23:58:45 »
Ik heb toen der tijd dus ubuntu opnieuw geinstaleerd. Alles werkte weer als een zonnetje tot dat ik gisteren apt-get update uitvoerde.

Ik kreeg weer het zelfde probleem namelijk het volgende:

silbijker@sil-server:/lib$ sudo apt-get update
Password:
apt-get: /lib/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6)
apt-get: /lib/libgcc_s.so.1: version `GCC_3.3' not found (required by /usr/lib/libstdc++.so.6)

Ik heb geen zin om het systeem weer opnieuw te gaan installeren. Ik heb al een hoop gelezen en het heeft waarschijnlijk iets te maken met een symlink die niet goed verwijst naar een bepaald bestand.

Ik ben nog niet zo vertrouwd met linux en weet dus niet echt hoe ik dit moet aanpakken.

Kan iemand mij a.u.b. helpen?

Groeten,

Sil

Offline SWAT

  • Administrator
    • http://www.schauenburg.nl/
  • Steunpunt: Nee
apt-get werkt niet meer
« Reactie #4 Gepost op: 2007/11/08, 01:08:30 »
Dan vraag ik me toch zeer sterk af wat je allemaal geinstalleerd hebt. Welke 'tools/programma's' heb je zoal geinstalleerd en gebruikt als configuratietools?

Sil

  • Gast
apt-get werkt niet meer
« Reactie #5 Gepost op: 2007/11/08, 10:24:21 »
Wat ik mij nog kan herinneren is dat ik het volgende heb gedaan:

Ubuntu server 7.04 feisty geinstaleerd
apt-get update
apt-get upgrade
apt-get install ssh
apt-get install vsftpd
apt-get install screen
apt-get install gcc

verder heb ik zonder apt-get (was met make commando dacht ik) nog trackmania dedicated server en call of duty dedicated server geinstalleerd.

Offline woteb

  • Lid
  • Steunpunt: Nee
apt-get werkt niet meer
« Reactie #6 Gepost op: 2007/11/08, 10:46:34 »
Probeer eens aptitude i.p.v. apt-get
Laptop, HP 550, Dual Core 1 GB RAM/2 Ghz:: Debian 5.0 Testing (Squeeze)  (lite-blokkendoos editie) Fluxbox / IceWM / XFCE4 / Openbox / LXDE.
3 Werkstations + 1 laptop: Debian 5.0 Testing (Squeeze)  (lite-blokkendoos editie Gnome/XFCE/IceWM)
Server: Debian 5.0 Stable (Lenny)

Sil

  • Gast
apt-get werkt niet meer
« Reactie #7 Gepost op: 2007/11/08, 10:58:26 »
Helaas krijg ik het zelfde.

silbijker@sil-server:~$ sudo aptitude update
Password:
aptitude: /lib/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6)
aptitude: /lib/libgcc_s.so.1: version `GCC_3.3' not found (required by /usr/lib/libstdc++.so.6)

Hoe kan ik checken welke gcc er geinstalleerd is? Misschien moet ik op een of andere manier gcc_4.20 of gcc_3.3 instaleren?

Offline jespdj

  • Lid
  • Steunpunt: Nee
apt-get werkt niet meer
« Reactie #8 Gepost op: 2007/11/08, 23:33:50 »
Citaat van: Sil
apt-get install gcc
Je wilt naar ik aanneem de C compiler installeren. Probeer eens in plaats van het package gcc, het package build-essential te installeren; hierin zit gcc en nog een hoop andere tools die nodig zijn voor het compileren van software.

sudo apt-get install build-essential

Het klinkt alsof je je libstdc++ library hebt veranderd op een zodanige manier dat de versie van die library die aptitude nodig heeft er niet meer is.

Je kunt checken welke versie van gcc is geïnstalleerd met:

gcc -v
Dell XPS M1530 | Core 2 Duo T9300 (2,5 GHz) | 4 GB RAM | nVidia 8600M GT | Ubuntu 8.04

Sil

  • Gast
apt-get werkt niet meer
« Reactie #9 Gepost op: 2007/11/09, 11:37:50 »
gcc -v geeft het volgende:

silbijker@sil-server:~$ gcc -v
Using built-in specs.
Target: i486-linux-gnu
Configured with: ../src/configure -v --enable-languages=c,c++,fortran,objc,obj-c++,treelang --prefix=/usr --enable-shared --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --enable-nls --program-suffix=-4.1 --enable-__cxa_atexit --enable-clocale=gnu --enable-libstdcxx-debug --enable-mpfr --enable-checking=release i486-linux-gnu
Thread model: posix
gcc version 4.1.2 (Ubuntu 4.1.2-0ubuntu4)
silbijker@sil-server:~$

apt-get install build-essential gaat helaas niet werken omdat apt-get niet werkt.

Kan is gcc_4.2.0 en/of gcc_3.3 installeren zonder gebruik te maken van apt-get?

Offline SWAT

  • Administrator
    • http://www.schauenburg.nl/
  • Steunpunt: Nee
apt-get werkt niet meer
« Reactie #10 Gepost op: 2007/11/09, 11:46:39 »
En sowieso: probeer Gutsy eens ipv Feisty

Offline shappie

  • Lid
  • Steunpunt: Nee
apt-get werkt niet meer
« Reactie #11 Gepost op: 2007/11/11, 16:32:51 »
Citaat van: Sil
Wat ik mij nog kan herinneren is dat ik het volgende heb gedaan:

Ubuntu server 7.04 feisty geinstaleerd
apt-get update
apt-get upgrade
apt-get install ssh
apt-get install vsftpd
apt-get install screen
apt-get install gcc

verder heb ik zonder apt-get (was met make commando dacht ik) nog trackmania dedicated server en call of duty dedicated server geinstalleerd.
Beetje offtopic maar ik wil het toch graag even vragen. Hoe installeer je een call of duty dedicated server (is dit voor online?)? Ik wil namelijk graag ook een CoD server maken in ubuntu maar weet niet hoe dit moet. Alvast bedankt.
- Intel i7 860 - ATi HD3580 - 4GB DDR3 - Intel X25-M 80GB - Dual Screen Samsung 206BW - Win7/Kubuntu dualboot -

Sil

  • Gast
apt-get werkt niet meer
« Reactie #12 Gepost op: 2007/11/11, 19:10:21 »
Citaat van: shappie
Citaat van: Sil
Wat ik mij nog kan herinneren is dat ik het volgende heb gedaan:

Ubuntu server 7.04 feisty geinstaleerd
apt-get update
apt-get upgrade
apt-get install ssh
apt-get install vsftpd
apt-get install screen
apt-get install gcc

verder heb ik zonder apt-get (was met make commando dacht ik) nog trackmania dedicated server en call of duty dedicated server geinstalleerd.
Beetje offtopic maar ik wil het toch graag even vragen. Hoe installeer je een call of duty dedicated server (is dit voor online?)? Ik wil namelijk graag ook een CoD server maken in ubuntu maar weet niet hoe dit moet. Alvast bedankt.
Kijk hier eens naar: http://forum.i3d.net/technische-hulp-cod2/15544-tutorial-noobs-call-duty-2-server-opzetten.html

Is er verder niemand die mij nog kan helpen? apt-get heb ik nog steeds niet aan de praat :-(

Gr, Sil

Offline shappie

  • Lid
  • Steunpunt: Nee
apt-get werkt niet meer
« Reactie #13 Gepost op: 2007/11/12, 15:58:48 »
Dank U!
- Intel i7 860 - ATi HD3580 - 4GB DDR3 - Intel X25-M 80GB - Dual Screen Samsung 206BW - Win7/Kubuntu dualboot -

Offline raggar

  • Lid
    • fietsen naar Tibet
  • Steunpunt: Ja
apt-get werkt niet meer
« Reactie #14 Gepost op: 2007/11/12, 23:46:35 »
"sudo dpkg --configure -a" "sudo aptitude install -f" en dan "sudo aptitude install build-essential"
kijk eens of hier iets mee veranderd

Anders kun je hier http://packages.ubuntu.com/gutsy/devel/build-essential build essential downloaden en installeren door er dubbel op te klikken.
Probeer dat dan eens...

Kijk ook nog ff door mijn eerdere post, bovenaan!

Sil

  • Gast
apt-get werkt niet meer
« Reactie #15 Gepost op: 2007/11/13, 17:03:34 »
Ik ben overgestapt naar een ander OS.

Toch nog bedankt voor de reacties

Offline raggar

  • Lid
    • fietsen naar Tibet
  • Steunpunt: Ja
apt-get werkt niet meer
« Reactie #16 Gepost op: 2007/11/13, 18:10:56 »
ok, jammer. Zouden je misschien willen vertellen welk os?

Sil

  • Gast
apt-get werkt niet meer
« Reactie #17 Gepost op: 2007/11/15, 22:28:46 »
Hey goed nieuws.

Na dat ik 2 keer het zelfde probleem had (zie eerste post) met Ubuntu dacht ik toch maar eens een andere linux distro te proberen. Dit is CentOS geworden.

Ik alles netjes geinstaleerd en uit eindelijk ook weer de call of duty 2 server geinstaleerd. Voor deze instalatie heeft die gcc3.3 nodig. Nadat ik gcc3.3 ook geinstaleerd had kreeg ik precies de zelfde problemen als op het Ubuntu systeem.

Ik heb nu de gcc3.3 verwijderd en opnieuw geinstaleerd in de callofduty2 dir zodat de rest van het systeem er geen last van heeft. Een extra commando moet nu gegeven worden in de startup line van callofduty zodat die gcc3.3 vindt.

Deze volgende bestanden heb ik verijderd uit /lib

lrwxrwxrwx  1 silbijker   silbijker         13 Nov 15 22:03 libgcc_s.so -> libgcc_s.so.1
-rw-r--r--  1 silbijker   silbijker     627675 Nov 26  2003 libgcc_s.so.1
lrwxrwxrwx  1 silbijker   silbijker         18 Nov 15 22:03 libstdc++.so -> libstdc++.so.5.0.3
lrwxrwxrwx  1 silbijker   silbijker         18 Nov 15 22:03 libstdc++.so.5 -> libstdc++.so.5.0.3

En toen de oude link hersteld:

ln -s /lib/libgcc_s-3.4.6-20060404.so.1  /lib/libgcc_s.so.1

Dit was waarschijnlijk ook het probleem met Ubuntu. Jammer alleen dat ik er nu pas achter kom :(

Omdat ik alles opnieuw geinstaleerd heb en het nu mooi draait ga ik denk ik niet terug naar Ubuntu op dit moment. Maar ik heb er wel een hoop plezier van gehad het het is zeker een goede distro.

Als nog bedankt voor de reacties.

@shappie: als je nog die dedicated cod2 server wilt gaan draaien pas dan op met het gcc3.3 verhaal. :)

Offline raggar

  • Lid
    • fietsen naar Tibet
  • Steunpunt: Ja
apt-get werkt niet meer
« Reactie #18 Gepost op: 2007/11/15, 23:58:40 »
Goed dat je er nu achter komt. Misschien dat je er een bug report van kan maken, dan help je de community ook weer verder. Het lijkt me het beste bij callofduty ( ik ken het programma niet, maar geef het ook door aan de ontwikkelaars).
Succes met CentOS, ook een prima distributie. Erg gemakkelijk...